.TH MTUNNEL 1 "13 December 1997"
.SH NAME
mTunnel \- create a multicast tunnel using Java
.SH SYNOPSIS
.B mTunnel
.RB [ \-h ]
.RB [ \-I 
.IR "multicast interface" ]
.RB [ \-P ]
.RB [ \-p
.IR "port" ]
.RB [ \-S ]
.RB [ \-T
.IR "ttl" ]
.RB [ \-V ]
.RB [ \-v ]
.IT hostid / portid
.SH DESCRIPTION
The
.I mTunnel
program,
written in Java,
allows the user to establish a multicast tunnel to transmit
multicast packets over an unicast UDP channel between two specified hosts.
The tunneler uses three unicast ports:
one for a built-in Web server
(see option
.BR \-p ),
another for the UDP-encapsulated multicast data
(specified on the command line),
and a third for control
(addressed by adding one to the address of the data port).
Several multicast streams can be sent concurrently through the port
handling multicast traffic,
which is useful when tunneling through a firewall.
This application is particularly useful in supplying multicast access
to hosts over modems and ISDN connections. 
.LP
The program's built-in World Wide Web server
allows easy access to information about current tunnels.
The program can also listen to session announcements
(see option
.BR \-S ),
caching them for faster application startup.
.SH OPTIONS
.TP
.B \-h
Print a short help message and exit.
.TP
.BI \-I " multicast interface"
Send all local multicast traffic to interface "multicast
interface". Only useful on hosts with more than one multicast capable
interface.
.TP
.B \-P
Start in passive mode:
.I mtunnel
will not actively try to connect to the other side of the tunnel.
This allows the user to have one end of the tunnel running continually,
with the other end being started only when needed.
If both sides are started with
.BR \ -P ,
the tunnel ends will not connect.
.TP
.BI \-p " port"
Employ the specified port for the HTTP interface (default: 9000).
.TP
.B \-S
Tunnel to
.I sap.mcast.net
to obtain MBone session announcements.
.TP
.BI \-T " ttl"
Employ the specified time-to-live (TTL) value for the retransmission
of announcements,
instead of the TTL of the original announcement
.TP
.B \-V
Employ very verbose mode.
.TP
.B \-v
Employ verbose mode.
.SH EXAMPLE
To establish a tunnel between a host at work
.IR workhost ,
and a host at home,
.IR homehost :
.TP
1)
Start a tunnel on
.I workhost
using port 10000:
.IP
\fCmTunnel -S -v homehost/10000\fP
.IP
It might also be useful to start this tunnel with the
.B \-P
option and leave it running,
allowing on-demand multicast access from the home machine.
.TP
2)
Start a tunnel on
.IR homehost ,
also using port 10000:
.IP
\fCmTunnel -S -v workhost/10000\fP
.TP
3)
At any time, the status of the tunnel can be assessed by connecting
to its built-in Web server from a Web client,
employing the URL:
.IP
http://hostname:9000/
.IP
where
.I hostname
is replaced by either
.I workhost
or
.IR homehost .
.SH FILES
.TP 2.2i
/depot/bin/mTunnel
shell file
.TP
/depot/javaclass/mTunnel.zip
Java class files
.TP
/depot/lib/libAudio.so
Audio library, required on SunOS/Solaris hosts
.TP
~/.msd/cache/
Cache file containing announced multicast sessions
.SH AUTHORS
Peter Parnes,
Centre for Distance-Spanning Technology,
Lulea\*o University of Technology, Sweden
(peppar@cdt.luth.se).
The latest version of this package can always be found at:
.IP
\fChttp://www.cdt.luth.se/~peppar/progs/mTunnel/\fP
.LP
If you download and install this package please send the author email.
Manual page by R. P. C. Rodgers,
Lister Hill National Center for Biomedical Communications,
U.S. National Library of Medicine,
(rodgers@nlm.nih.gov).


